import type { JSX } from '../../stencil-public-runtime';
import type { AbbrAPI, AbbrStates, LabelPropType, TooltipAlignPropType } from '../../schema';
export declare class KolAbbr implements AbbrAPI {
    private readonly nonce;
    render(): JSX.Element;
    _label: LabelPropType;
    _tooltipAlign?: TooltipAlignPropType;
    state: AbbrStates;
    validateLabel(value?: LabelPropType): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    componentWillLoad(): void;
}
